Update/p8

Материал из ALT Linux Wiki

< Update(Перенаправлено с Update)
Перейти к: навигация, поиск

Процедура обновления с p7 до p8 аналогична обновлению до p7:

Содержание

[править] Обновление

Внимание! При обновлении продолжает действовать лицензионное соглашение установленной изначально системы.
Внимание! Владельцам видеокарт AMD: на 19.07.2016 в p8 отсутствует драйвер fglrx_glx ввиду его несовместимости с xorg 1.18.3. Следует заменить его на драйвер radeon перед обновлением, или дождаться закрытия altbug #31980 и помещения нового драйвера в p8
Внимание! Владельцам видеокарт NVidia: минимальная версия nvidia_glx - 304.131. Если видеокарта более старая, чем поддерживает этот драйвер, следует заменить nvidia на nouveau перед обновлением. В случае проблем(наверняка будут) с nouveau использовать драйвер nv.

[править] 0. Желательно перед обновлением системы удалить все ненужные вам пакеты, и отключить ненужные сервисные службы

Это сэкономит вам некоторое время в процессе обновления, и уменьшит трафик скачанных пакетов.

[править] 1. Обновить дистрибутив до самого свежего p7

Внимание! Все операции нужно делать под правами пользователя root.


apt-get update
apt-get dist-upgrade

Не обязательно, но желательно:

update-kernel
Примечание: Пункт 1.5 предусматривает обновление без перезагрузки, но, на всякий случай, лучше уже иметь ядро, совместимое с p8. Актуальные ядра из p7, на текущий момент (22/06/2016), с p8 совместимы.


[править] 2. Если не установлена, установить обновлённую программу apt-repo

apt-get install apt-repo

[править] 3. Изменить источники обновления

apt-repo rm all
apt-repo add branch p8

[править] 4. Обновиться до p8

Внимание! Так как обновление затрагивает и службу D-Bus, процесс обновления может вызвать падение Xorg. Поэтому указанные команды лучше вводить под правами root в консоли (Нажмите Ctrl+Alt+F2, введите root и пароль пользователя root).
Примечание: Можно использовать screen. В этом случае падение xorg не должно вызвать закрытие консоли с запущенной процедурой обновления, и к ней можно будет переподключиться из текстовой консоли, доступной по Ctrl+Alt+F2
apt-get update
Примечание:

Если вы используете i586-playonlinux или skype на 64-битной системе, предварительно установите пакет i586-libspeexdsp:

apt-get install i586-libspeexdsp


Выполните собственно обновление:

apt-get dist-upgrade
update-kernel
Примечание: Если во время обновления в конце написало
E: Произошли ошибки при выполнении транзакции
выполните
apt-get -f install
apt-get dist-upgrade


[править] NetworkManager

Включите службу NetworkManager (если её используете):

systemctl enable NetworkManager

[править] 5. Перезагрузка

Перезагрузите систему.

Примечание: Если Ваша ОС с KDE4, то, после авторизации, приложение Akonadi начнёт обновлять формат базы с пользовательскими данными. Этот процесс может быть длительным (десятки минут), в зависимости от размера базы и производительности компьютера.


[править] Настройки после обновления

[править] MariaDB

В процессе обновления пакета mariadb-server могут появиться пугающие сообщения:

warning: /etc/my.cnf.d/server.cnf created as /etc/my.cnf.d/server.cnf.rpmnew
control-restore: Status "unknown" for "mysqld-chroot" facility cannot be restarted
Примечание: Если процесс обновления на этом пакете застопорился, стоит набраться терпения и подождать несколько типовых таймаутов MySQL. Обычно он выставлен в 300 секунд. Три таймаута - это нормально.


Файл server.cnf.rpmnew требует особого внимания. При переходе с p7 на p8 в этом пакете изменилась структура конфигурационных файлов. Появилась папка /etc/my.cnf.server с двумя файлами:

  • server-chroot.cnf
  • server-no-chroot.cnf

Между ними нужно выбрать. Если вы специально настраивали в p7 запуск MariDB в chroot, то подойдет первый. Иначе - второй.

В самом server.cnf изменения, во многом, предсказуемы.

  • Добавили использование /etc/my.cnf.server.
  • Включили skip-networking.
  • Отключили три плагина.
  • Явно указали кодировку utf8.
  • Отключили federated.
  • Убрали ряд закомментированных параметров.
  • Уточнили названия нескольких параметров.

Если вы не согласны с частью изменений, то их можно и не принимать. К примеру, если MariaDB должен быть доступен с других ПК ЛВС, то skip-networking нужно оставить закомментированным.

В целом, новый server.cnf на 99% подходит.

[править] Размер обновлений

Внимание! Убедитесь, что у вас достаточно места на файловой системе, как для скаченных пакетов, так и для установки (как минимум, удвоенный размер из таблицы):
df -h --output=avail /var/cache/apt/archives/
 Дост
  12G


Название дистрибутива Размер скачиваемого обновления, МБ
Альт Линукс 7.0 Кентавр 902
Simply Linux 7.0 1 071
Альт Линукс 7.0 KDesktop 1 724

[править] Обновление с помощью EPM

Для обновления с p7 до p8 можно воспользоваться командой epm release-upgrade из пакета eepm [1]:

# apt-get install eepm
# epm release-upgrade

Команда выполняет все необходимые действия для обновления, в том числе команды, описанные выше в порядке ручного обновления.

[править] Известные проблемы

[править] Несовместимость тем GTK+3

Тема gtk3-theme-clearlooks-phenix, используемая по умолчанию, несовместима с новым libgtk+3. Смените тему на Adwaita (находится в пакете gnome-themes-standard-data), к примеру.

В случае использования KDE4 (например, виджет NM используется GTK-шный) для смены тем можно использовать меню "Параметры KDE4" -> "Оформление приложений". Для управления настройкой GTK+ должен быть установлен пакет kde-gtk-config.

[править] Обновление ExtensionPack для VirtualBox

После обновления virtualbox потребуется обновить ExtensionPack. Сделать это можно через меню Файл → Проверить обновления…

[править] Доступ по SSH по ключам dss

Примечание: На обновленной с p7 системе этой проблемы нет, там ключи dss продолжают поддерживаться.


На новой системе может быть предупреждение об игнорировании старых ключей dss:

debug1: Skipping ssh-dss key /home/cas/.ssh/sourceforge - not in PubkeyAcceptedKeyTypes                                                                                                                                                                                       

Для того, чтобы их использовать, добавьте в начало файла ~/.ssh/config:

PubkeyAcceptedKeyTypes +ssh-dss,ssh-dss-cert-v01@openssh.com

Можно, так же, разрешить глобально в /etc/openssh/ssh_config. Аналогично для сервера, в /etc/openssh/sshd_config.

Кроме того, может потребоваться разрешить некоторые алгоритмы у клиента, например, для доступа на оборудование Cisco:

KexAlgorithms +diffie-hellman-group1-sha1

[править] Доступ по NFS

Для доступа к старым серверам по протоколу NFS может потребоваться прописать параметр
nfsvers=3
:
alt:/space      /space  nfs     defaults,nolock,noauto,nfsvers=3        0 0

[править] Тачпад и джойстик

На некоторых нотебуках (замечено, как минимум, на Lenovo X121e и Fujitsu P702) могут перестать работать тачпад и джойстик. Вероятно, поможет установка пакета xorg-conf-synaptics. Обсуждение в altbug #32081.

[править] Проблема с SASL у postfix-cyrus

Проблема и пути для решения описаны в altbug #30270. Если не используется Cyrus-IMAP, лучше перейти на postfix-dovecot.

[править] Проблема с PPPoE

PPPoE может не работать: altbug #32693. Приготовьтесь откатить пакеты, связанные с PPPoE, до версий из p7. Можно заранее добавить в apt.conf в секцию Hold строку "^(ppp|ppp-pppoe)$|rp-pppoe-".

[править] Обновление MariaDB

У MariaDB меняется структура конфигурационных файлов. Раздел нуждается в описании подробностей. Пока ссылка на форум, за неимением лучшего.

[править] Примечания

  1. см. https://lists.altlinux.org/pipermail/devel/2016-April/201334.html


 
Личные инструменты